Public Attributes | List of all members
exflash_func_t Struct Reference
Peripheral Driver » HAL Driver » EXFLASH » Structures

EXFLASH function Structure definition. More...

`#include <gr533x_hal_exflash.h>`

## Public Attributes
uint32_t(* | p_exflash_config )(uint32_t configure, uint32_t value)
uint32_t(* | p_exflash_enable_quad )(ll_xqspi_hp_init_t hp_init)
uint32_t(* | p_exflash_read )(uint32_t addr, uint8_t *p_data, uint32_t size)
uint32_t(* | p_exflash_write )(uint32_t addr, uint8_t *p_data, uint32_t size)
uint32_t(* | p_exflash_erase )(uint32_t erase_type, uint32_t addr, uint32_t size)
uint32_t(* | p_exflash_block_protect )(uint32_t cmp, uint32_t bp)
uint32_t(* | p_exflash_suspend )(void)
uint32_t(* | p_exflash_resume )(void)
uint32_t(* | p_exflash_deepsleep )(void)
uint32_t(* | p_exflash_wakeup )(void)
uint32_t(* | p_exflash_sr_erase )(uint32_t addr)
uint32_t(* | p_exflash_sr_program )(uint32_t addr, uint8_t *p_data, uint32_t size)
uint32_t(* | p_exflash_sr_read )(uint32_t addr, uint8_t *p_data, uint32_t size)
uint32_t(* | p_exflash_sr_protect )(uint32_t lb)

## Detailed Description

EXFLASH function Structure definition.

Definition at line 238 of file gr533x_hal_exflash.h.

## Member Data Documentation

## ◆ p_exflash_block_protect

uint32_t(* exflash_func_t::p_exflash_block_protect) (uint32_t cmp, uint32_t bp)

Lock area of flash to be software protected against Write and Erase operation

Definition at line 245 of file gr533x_hal_exflash.h.

## ◆ p_exflash_config

uint32_t(* exflash_func_t::p_exflash_config) (uint32_t configure, uint32_t value)

Flash parameter configuration

Definition at line 240 of file gr533x_hal_exflash.h.

## ◆ p_exflash_deepsleep

uint32_t(* exflash_func_t::p_exflash_deepsleep) (void)

The exFlash will go to the Deep Power-Down Mode

Definition at line 248 of file gr533x_hal_exflash.h.

## ◆ p_exflash_enable_quad

uint32_t(* exflash_func_t::p_exflash_enable_quad) (ll_xqspi_hp_init_t hp_init)

Enable Quad mode to allow Quad operation

Definition at line 241 of file gr533x_hal_exflash.h.

## ◆ p_exflash_erase

uint32_t(* exflash_func_t::p_exflash_erase) (uint32_t erase_type, uint32_t addr, uint32_t size)

Erase flash region

Definition at line 244 of file gr533x_hal_exflash.h.

## ◆ p_exflash_read

uint32_t(* exflash_func_t::p_exflash_read) (uint32_t addr, uint8_t *p_data, uint32_t size)

Read an amount of data with specified instruction and address from flash

Definition at line 242 of file gr533x_hal_exflash.h.

## ◆ p_exflash_resume

uint32_t(* exflash_func_t::p_exflash_resume) (void)

Resume flash pragram/erase

Definition at line 247 of file gr533x_hal_exflash.h.

## ◆ p_exflash_sr_erase

uint32_t(* exflash_func_t::p_exflash_sr_erase) (uint32_t addr)

Erase single flash security register

Definition at line 250 of file gr533x_hal_exflash.h.

## ◆ p_exflash_sr_program

uint32_t(* exflash_func_t::p_exflash_sr_program) (uint32_t addr, uint8_t *p_data, uint32_t size)

Write an amount of data into flash security register

Definition at line 251 of file gr533x_hal_exflash.h.

## ◆ p_exflash_sr_protect

uint32_t(* exflash_func_t::p_exflash_sr_protect) (uint32_t lb)

This function provide the write protect control and status to the Security Registers

Definition at line 253 of file gr533x_hal_exflash.h.

## ◆ p_exflash_sr_read

uint32_t(* exflash_func_t::p_exflash_sr_read) (uint32_t addr, uint8_t *p_data, uint32_t size)

Read an amount of data from flash security register

Definition at line 252 of file gr533x_hal_exflash.h.

## ◆ p_exflash_suspend

uint32_t(* exflash_func_t::p_exflash_suspend) (void)

Suspend flash pragram/erase

Definition at line 246 of file gr533x_hal_exflash.h.

## ◆ p_exflash_wakeup

uint32_t(* exflash_func_t::p_exflash_wakeup) (void)

ExFlash will be released from Deep Power-Down Mode

Definition at line 249 of file gr533x_hal_exflash.h.

## ◆ p_exflash_write

uint32_t(* exflash_func_t::p_exflash_write) (uint32_t addr, uint8_t *p_data, uint32_t size)

Write an amount of data with specified instruction and address to flash

Definition at line 243 of file gr533x_hal_exflash.h.

The documentation for this struct was generated from the following file:

- gr533x_hal_exflash.h